MGASA-2022-0149 - Updated gzip/xz packages fix security vulnerability

Publication date: 23 Apr 2022
URL: https://advisories.mageia.org/MGASA-2022-0149.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-1271

zgrep, xzgrep: arbitrary-file-write vulnerability. (CVE-2022-1271)

References:
- https://bugs.mageia.org/show_bug.cgi?id=30261
- https://www.openwall.com/lists/oss-security/2022/04/08/3
- https://www.debian.org/lts/security/2022/dla-2976
- https://www.debian.org/lts/security/2022/dla-2977
- https://ubuntu.com/security/notices/USN-5378-1
- https://ubuntu.com/security/notices/USN-5378-2
- https://www.debian.org/security/2022/dsa-5122
- https://www.debian.org/security/2022/dsa-5123
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-1271

SRPMS:
- 8/core/gzip-1.10-4.1.mga8
- 8/core/xz-5.2.5-2.1.mga8